kvm - cannot mount .iso images - permission denied

I found this thread over in the setup/install section think it’s a better fit around here.

http://forums.opensuse.org/english/get-technical-help-here/install-boot-login/468883-opensuse-12-1-64-bit-kvm-vm-install-wizard-cannot-read-iso.html

Any ideas anyone?

pj

maybe I should have added the full error message…

Error starting domain: internal error process exited while connecting to monitor: qemu-kvm: -drive file=/var/lib/install/gparted-live-0.11.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw: could not open disk image /var/lib/install/gparted-live-0.11.iso: Permission denied

Traceback (most recent call last):
File “/usr/share/virt-manager/virtManager/asyncjob.py”, line 44, in cb_wrapper
callback(asyncjob, *args, **kwargs)
File “/usr/share/virt-manager/virtManager/asyncjob.py”, line 65, in tmpcb
callback(*args, **kwargs)
File “/usr/share/virt-manager/virtManager/domain.py”, line 1058, in startup
self._backend.create()
File “/usr/lib64/python2.7/site-packages/libvirt.py”, line 510, in create
if ret == -1: raise libvirtError (‘virDomainCreate() failed’, dom=self)
libvirtError: internal error process exited while connecting to monitor: qemu-kvm: -drive file=/var/lib/install/gparted-live-0.11.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw: could not open disk image /var/lib/install/gparted-live-0.11.iso: Permission denied

I can say that I really do not understand what the problem is that you are having. Are you trying to run a VM, mount an ISO file, use the virt manager from terminal or what is it you are really trying to do? I happen to have written a script to really mount and ISO file to browse like a normal disk:

#!/bin/bash

#: Title       : /home/james/bin/mntiso
#: Date Created: Tue Nov 9 19:24:07 CST 2010
#: Last Edit   : Tue Nov 9 19:24:07 CST 2010
#: Author      : sunders
#: Version     : 1.00
#: Description : 
#: Options     : 

if  -z $1 ]; then
  kdialog --error "Usage: $0 filename.iso"
  exit 1;
fi

DIRNAME="$HOME/mnt/"`basename "$1" | sed s/.]^.]*//`

MOUNTLINE=`mount |grep $DIRNAME`
DEVICE=`echo $MOUNTLINE | gawk -F ' ' '{ print $1 }'`
DIRECTORY=`echo $MOUNTLINE | gawk -F ' ' '{ print $3 }'`

if  ! -z $DEVICE ]; then
  kdialog --title "Unmounting $DEVICE" --yesno "Do you wish to unmount $DEVICE on $DIRECTORY?"
  if  $? -eq 0 ]; then
    kdesu -c umount\ $DEVICE || { kdialog --error "Failed to unmount $DEVICE on $DIRECTORY ($?)"; exit 2; }
    kdialog --msgbox "Unmounted"
  fi
else
  test -f $1 || { kdialog --error "File <$1> does not exist!"; exit 2; }
  test -d $DIRNAME || mkdir -p $DIRNAME
  /usr/bin/kdesu -c "/bin/mount -t iso9660 -o loop,ro,user $1 $DIRNAME" || { kdialog --error "Failed to mount $1 to $DIRNAME"; exit 3; }

  /usr/bin/dolphin $DIRNAME
  kdialog --msgbox "Loop devices: $(mount|grep loop)"
fi

exit 0
# End Of Script

Copy the text from the code block above into a text editor and save it as the text file **~/bin/mntiso **and then run the terminal command chmod +x ~/bin/mntiso to make it executable. To use the bash script run the terminal command:

mntiso /folder/filename.iso

Thank You,

Hi James,

ah yes, this was probably a tad misleading. What we’re actually trying to do is to attatch an .iso file to a kvm virtual machine using virt-manager and then use that iso file as an emulated CD/DVD in the virtual guest instance.

This has been SOP for many years but it seems that something has changed with 12.1 … I think.

pj

So I know that I could use the above procedure to mount a CD or DVD ISO and further I can share that folder with VirtualBox, but it would not appear as a real DVD, but I guess it depends on what you are trying to do with it in the VM after you can see the files.

Thank You,